Summary:	AutoTrace - convert bitmap to vector graphics
Summary(pl.UTF-8):	AutoTrace - konwerter grafiki rastrowej do wektorowej
Name:		autotrace
Version:	0.31.10
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
#Source0Download: https://github.com/autotrace/autotrace/releases
Source0:	https://github.com/autotrace/autotrace/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3078d2530a65f28c31c89974671ef02a
Patch0:		%{name}-link.patch
Patch1:		%{name}-pc.patch
URL:		https://autotrace.sourceforge.net/
BuildRequires:	ImageMagick-devel >= 1:7.0.1
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.22.5
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libtool >= 2:2
BuildRequires:	libpng-devel >= 1.0.6
BuildRequires:	ming-devel
BuildRequires:	pkgconfig
BuildRequires:	pstoedit-devel >= 3.33-4
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AutoTrace is a utility that converts bitmap to vector graphics. It can
import p[nbgp]m, bmp, tga, png (and many more through ImageMagick)
files and write to emf, eps, ai, er, fig, svg, sk and swf files.

%description -l pl.UTF-8
AutoTrace jest narzędziem do konwersji grafiki rastrowej na wektorową.
Może wczytywać pliki p[nbgp]m, bmp, tga, png (i wiele innych przez
ImageMagick, a zapisywać w formacie emf, eps, ai, er, fig, svg, sk
oraz swf.

%package devel
Summary:	AutoTrace library development files
Summary(pl.UTF-8):	Pliki dla programistów używających biblioteki AutoTrace
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ImageMagick-devel >= 1:7.0.1
Requires:	glib2-devel >= 2.0
Requires:	libpng-devel >= 1.0.6
Requires:	ming-devel
Requires:	pstoedit-devel >= 3.33-4

%description devel
AutoTrace library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki AutoTrace.

%package static
Summary:	AutoTrace static library
Summary(pl.UTF-8):	Biblioteka statyczna AutoTrace
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
AutoTrace static library.

%description static -l pl.UTF-8
Biblioteka statyczna AutoTrace.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e 's,po/Makefile.in ,,' configure.ac

%build
%{__gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-magick=ImageMagick

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libautotrace.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md THANKS TODO
%attr(755,root,root) %{_bindir}/autotrace
%attr(755,root,root) %{_libdir}/libautotrace.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libautotrace.so.3
%{_mandir}/man1/autotrace.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libautotrace.so
%{_includedir}/autotrace
%{_pkgconfigdir}/autotrace.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libautotrace.a
%changelog
* Thu Apr 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/autotrace.git;a=log;h=master

* Thu Apr 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 587ce44
- patch to fix .pc file, force ImageMagick (over GraphicsMagick default)

* Wed Apr 24 2024 Jakub Bogusz <qboosh@pld-linux.org> a2900c1
- new URL, updated to 0.31.10

* Mon Apr 11 2022 Jakub Bogusz <qboosh@pld-linux.org> f1049f7
- updated libpng patch (to simplify loading code), added CVE-2013-1953,CVE-2016-7392,CVE-2019-19004,CVE-2019-19005 from Fedora
- drop .la file
- release 18

* Sat Mar 09 2019 Jakub Bogusz <qboosh@pld-linux.org> a0ea3ed
- release 17 (rebuild without libgif.la)

* Sun Dec 18 2016 Jan Rękorajski <baggins@pld-linux.org> 8865d5b
- rebuild with ImageMagick 7.0.3
- release 16 (by relup.sh)

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> b9153ae
- rel 15

* Tue Mar 10 2015 Jan Rękorajski <baggins@pld-linux.org> bdda371
- temp rel

* Sun Mar 08 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> dbf699f
- release 14 (by relup.sh)

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> 6fc6779
- release 13 (by relup.sh)

* Thu Nov 07 2013 Jan Rękorajski <baggins@pld-linux.org> 23d0f24
- release 12 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fa01a5
- release 11 (by relup.sh)

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d4273b
- release 10 (by relup.sh)

* Wed May 08 2013 Marcin Krol <hawk@tld-linux.org> fc8966c
- release 9 (by relup.sh)

* Fri Mar 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 1c82da1
- added am patch (fixes build with automake 1.13)
- added libpng patch (fixes build with libpng 1.5+)
- release 8

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> d6bf729
- ghost soname symlink, more explicit files
- GPL version (v2+)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9f0583a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e561cac
- converted to UTF-8

* Wed Apr 05 2006 hawk <hawk@pld-linux.org> 6d9936a
- release 7 (rebuild with new ImageMagick)

* Mon Oct 03 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> d831dc9
- br new imagemagick

* Sun Oct 02 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> f5c17b1
- rel 5

